# Use case
A lot of times we want to build a block displaying content related to the
current page's content, sharing the same values for one or more fields. This
was usually done via building a custom block or creating a view but tampering it
in-code to provide it the values which were required. Using this module, you
won't have to do anything like that anymore!

# How it works
In most routes, the entity type is part of the route parameters. Take for
example `/node/{node}`, `/taxonomy/term/{taxonomy_term}`,
`/commerce_product/{commerce_product}` etc.

Taking this into account, along with the fact that when using as contextual
filter a entity field we also have access to that entity's field_name property
we were able to build a dynamic solution to retrieve the value(s) of that field
from the current route's entity. The code will identity properly whether the
field is using "value", "target_id" or something else as property.

# Configuration
Build your view and add the field you want as contextual filter.
In the `When the filter is NOT available` group choose the `Same field value
from route context` provided by this module.
In the new `Multiple values` select list that appears, choose how to handle
multiple values (OR, AND, Use first value).
In case of multiple values, you will have to also check the `Allow multiple
values` checkbox in the `More` group.
In case the contextual filter is optional (may have values, may have not) don't
forget to check the `Specify validation criteria` checkbox and in the `Action to
take if filter value does not validate` choose the `Display all results for the
specified field`.
